<?php

App::uses('AppModel', 'Model');

class EvFormBuilderAppModel extends AppModel {

	public $tablePrefix = "ev_form_builder_";

/**
 * Add parameters and virtual fields to a dropdown query. Display the correct name. Adds virtual fields to model.
 *
 * @param array $query The current dropdown query.
 * @return array The modified query.
 */
	public function addDropDownQueryParams($query) {
		$this->virtualFields['dropdown_name'] = 'IF(' . $this->alias . '.internal_name IS NOT NULL AND ' . $this->alias . '.internal_name != "", ' . $this->alias . '.internal_name, ' . $this->alias . '.' . $this->displayField . ')';

		$query['fields'] = [
			$this->alias . '.id',
			$this->alias . '.dropdown_name',
		];

		return $query;
	}
}
