<section>
	<h2><?= $questionBlock['name'] ?></h2>

	<?= $questionBlock['introduction'] ?>

	<?php if (!empty($questionBlock['Question'])): ?>
		<?php
			$inputPrefix .= '.QuestionBlockResponse.' . $questionBlock['id'];

			echo $this->Form->input(
				$inputPrefix . '.question_block_id',
				[
					'type' => 'hidden',
					'value' => $questionBlock['id'],
				]
			);
		?>
		<?php foreach ($questionBlock['Question'] as $question): ?>
			<?php
				echo $this->element(
					'EvFormBuilder.Forms/question',
					[
						'question' => $question,
						'questionBlockId' => $questionBlock['id'],
						'inputPrefix' => $inputPrefix,
					]
				);
			?>
		<?php endforeach; ?>
	<?php endif; ?>
</section>
